import request from '@/utils/request'
	
/**
 * @Descripttion: 商品Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-06-19)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-06-19)
*/

// 商品分页查询列表
export function goodsList(query) {
  return request({
    url: '/business/Goods/getGoodsList',
    method: 'get',
    params: query
  })
}

// 获取商品Sku
export function getGoodsSkuList(query) {
  return request({
    url: '/business/Goods/getGoodsSkuList',
    method: 'get',
    params: query
  })
}

// 获取商品服务与承诺
export function getCurrentGoodsServiceList(query) {
  return request({
    url: '/business/Goods/getCurrentGoodsServiceList',
    method: 'get',
    params: query
  })
}

// 商品新增或修改
export function addOrUpdateGoods(data) {
  return request({
    url: '/business/Goods/addOrUpdateGoods',
    method: 'post',
    data: data,
  })
}

// 商品删除
export function delGoods(ids) {
  return request({
    url: '/business/Goods/'+ ids,
    method: 'delete'
  })
}

// 商品导出
export function exportGoods(query) {
  return request({
    url: 'business/Goods/exportGoods',
    method: 'get',
    params: query
  })
}

